GCLOUD_CONTAINER_CLUSTERS_UPDATE(1)

NAME

gcloud container clusters update - update cluster settings for an existing container cluster

SYNOPSIS

gcloud container clusters update NAME [--async] [--max-nodes MAX_NODES] [--min-nodes MIN_NODES] [--enable-autoscaling | --monitoring-service MONITORING_SERVICE | --update-addons [ADDON=ENABLED|DISABLED,...]] [--node-pool NODE_POOL] [--wait] [--zone ZONE, -z ZONE] [GLOBAL-FLAG ...]

DESCRIPTION
Update cluster settings for an existing container cluster.

POSITIONAL ARGUMENTS
NAME
    The name of the cluster to update.

FLAGS
--async
    Don't wait for the operation to complete. Use --no-async to disable.
--enable-autoscaling
    Enables autoscaling for the node pool.
--max-nodes MAX_NODES
    Maximum number of nodes in the node pool.
--min-nodes MIN_NODES
    Minimum number of nodes in the node pool.
--monitoring-service MONITORING_SERVICE
    The monitoring service to use for the cluster. Options are: "monitoring.googleapis.com" (the Google Cloud Monitoring service), "none" (no metrics will be exported from the cluster)
--node-pool NODE_POOL
    Node pool to be updated.
--update-addons [ADDON=ENABLED|DISABLED,...]
    Cluster addons to enable or disable. Options are HorizontalPodAutoscaling=ENABLED|DISABLED HttpLoadBalancing=ENABLED|DISABLED
--wait
    Poll the operation for completion after issuing a create request. Use --no-wait to disable.
--zone ZONE, -z ZONE
    The compute zone (e.g. us-central1-a) for the cluster

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.